MDKSA-2004:027 - Updated ipsec-tools packages
Posted on: 04/09/2004 04:37 AM

Updated ipsec-tools packages has been released for Mandrakelinux 10.0

_______________________________________________________________________

Mandrakelinux Security Update Advisory
_______________________________________________________________________

Package name: ipsec-tools
Advisory ID: MDKSA-2004:027
Date: April 8th, 2004

Affected versions: 10.0
______________________________________________________________________

Problem Description:

A very serious security flaw was discovered by Ralf Spenneberg in racoon, the IKE daemon of the KAME-tools. Racoon does not very the RSA signature during phase one of a connection using either main or aggressive mode. Only the certificate of the client is verified, the certificate is not used to verify the client's signature.

All versions of ipsec-tools prior to 0.2.5 and 0.3rc5 are vulnerable to this issue. The provided package updates ipsec-tools to 0.2.5.

_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0155
______________________________________________________________________

Updated Packages:

Mandrakelinux 10.0:
5ccd56bb9dab0708be04d99e68ee636a 10.0/RPMS/ipsec-tools-0.2.5-0.1.100mdk.i586.rpm
60af7d28c135a27a4a7a6a7a340154db 10.0/RPMS/libipsec-tools0-0.2.5-0.1.100mdk.i586.rpm
a19e2af746e74f53b9a2d8e8e949a58a 10.0/SRPMS/ipsec-tools-0.2.5-0.1.100mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrakeUpdate or urpmi. The verification of md5 checksums and GPG signatures is performed automatically for you.

A list of FTP mirrors can be obtained from:

http://www.mandrakesecure.net/en/ftp.php

All packages are signed by Mandrakesoft for security. You can obtain the GPG public key of the Mandrakelinux Security Team by executing:

gpg --recv-keys --keyserver www.mandrakesecure.net 0x22458A98

Please be aware that sometimes it takes the mirrors a few hours to update.


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/mdksa_2004027__updated_ipsec_tools_packages.html)